async function checkLogin() {
    let resp = await fetch('../whoami')
    if (!resp.ok) {
        console.log("We're not logged in, let's go to the login page", resp)
        document.location.href = 'login.html'
    }
    data = await resp.json()
}

async function onGenerate(evt) {
    let resp = await fetch('../generate', {
        method: 'POST',
    })
    console.log('ok', resp)
    data = await resp.json()
    console.log('got', data)
    document.getElementById("generate-label").value = data.password
    document.getElementById("accept-btn").removeAttribute('disabled')
}

async function onAccept(evt) {
    document.getElementById("generate-btn").setAttribute('disabled', 'disabled')
    let resp = await fetch('../change', {
        method: 'POST',
        body: JSON.stringify({
            password: document.getElementById("generate-label").value
        })
    })
    data = await resp.json()
    if(data.success === true) {
        document.getElementById("accept-btn").classList.add('hidden')
        document.getElementById('success').classList.remove('hidden')
        document.getElementById("generate-btn").classList.add('hidden')
    } else {
        document.getElementById("generate-btn").removeAttribute('disabled')
    }
}

function initChange() {
    checkLogin()
    document.getElementById("generate-label").value = ""
    document.getElementById("accept-btn").setAttribute('disabled', 'disabled')
    document.getElementById("generate-btn").addEventListener('click', onGenerate, false)
    document.getElementById("accept-btn").addEventListener('click', onAccept, false)
}

document.addEventListener('DOMContentLoaded', initChange)

